#include <fstream>
#include <cstdio>
#include <vector>
#include <algorithm>
#include <ctime>

using namespace std;

int main()
{
	srand(time(0L));
	ofstream cout("split.in");
	int n = 1000;
	cout << n << "\n";
	for (int i = 0; i < 2 * n; i++)
		cout << (rand() << 10) + rand() << " ";
	cout << "\n";
}

